/// <reference types="react" />
import { ColorStyles } from '../../types';
import { DropdownItem } from './types';
export declare type DropdownProps = {
    testId?: string;
    selectName: string;
    className?: string;
    labelClassName?: string;
    placeholder: string;
    items: Array<DropdownItem>;
    label?: string;
    onChange?: (value: DropdownItem) => void;
    initialValue?: DropdownItem;
    required?: boolean;
    disabled?: boolean;
    colorStyle?: ColorStyles;
};
/**
 * A custom select component that allow multiple selection and display chips for the selected items.
 * @param testId
 * @param selectName
 * @param className
 * @param labelClassName
 * @param colorStyle
 * @param placeholder
 * @param items
 * @param label
 * @param onChange
 * @param required
 * @param disabled
 * @constructor
 */
export declare const Dropdown: ({ testId, selectName, className, labelClassName, placeholder, initialValue, label, required, disabled, items, onChange, colorStyle }: DropdownProps) => JSX.Element;
